/* cairo - a vector graphics library with display and print output
 *
 * Copyright © 2003 University of Southern California
 *
 * This library is free software; you can redistribute it and/or
 * modify it either under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation
 * (the "LGPL") or, at your option, under the terms of the Mozilla
 * Public License Version 1.1 (the "MPL"). If you do not alter this
 * notice, a recipient may use your version of this file under either
 * the MPL or the LGPL.
 *
 * You should have received a copy of the LGPL along with this library
 * in the file COPYING-LGPL-2.1; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * You should have received a copy of the MPL along with this library
 * in the file COPYING-MPL-1.1
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * This software is distributed on an "AS IS" basis, WITHOUT WARRANTY
 * OF ANY KIND, either express or implied. See the LGPL or the MPL for
 * the specific language governing rights and limitations.
 *
 * The Original Code is the cairo graphics library.
 *
 * The Initial Developer of the Original Code is University of Southern
 * California.
 *
 * Contributor(s):
 *	Carl D. Worth <cworth@cworth.org>
 */

#ifndef CAIRO_FEATURES_H
#define CAIRO_FEATURES_H

#include "cairo-platform.h"

#ifdef  __cplusplus
# define CAIRO_BEGIN_DECLS  extern "C" {
# define CAIRO_END_DECLS    }
#else
# define CAIRO_BEGIN_DECLS
# define CAIRO_END_DECLS
#endif

#ifndef cairo_public
# define cairo_public
#endif

#define CAIRO_VERSION_MAJOR 1
#define CAIRO_VERSION_MINOR 7
#define CAIRO_VERSION_MICRO 4

@PS_SURFACE_FEATURE@

@PDF_SURFACE_FEATURE@

@SVG_SURFACE_FEATURE@

@XLIB_SURFACE_FEATURE@

@XLIB_XRENDER_SURFACE_FEATURE@

@QUARTZ_SURFACE_FEATURE@

@QUARTZ_IMAGE_SURFACE_FEATURE@

@XCB_SURFACE_FEATURE@

@WIN32_SURFACE_FEATURE@

@OS2_SURFACE_FEATURE@

@BEOS_SURFACE_FEATURE@

@DIRECTFB_SURFACE_FEATURE@

@QPAINTER_SURFACE_FEATURE@

@FT_FONT_FEATURE@

@WIN32_FONT_FEATURE@

@QUARTZ_FONT_FEATURE@

@PNG_FUNCTIONS_FEATURE@

#endif
